# PhasicFlow: pStructSelector Class Reference

pStructSelector Class Referenceabstract
Inheritance diagram for pStructSelector:
[legend]
Collaboration diagram for pStructSelector:
[legend]

## Public Member Functions

| TypeInfo ("pStructSelector")
| pStructSelector (const pointStructure &pStruct, const dictionary &UNUSED(dict))
| create_vCtor (pStructSelector, dictionary,(const pointStructure &pStruct, const dictionary &dict),(pStruct, dict))
virtual | ~pStructSelector ()=default
const pointStructure & | pStruct () const
virtual const int32Vector & | selectedPoinsts () const =0
virtual int32Vector & | selectedPoinsts ()=0

## Static Public Member Functions

static uniquePtr< pStructSelector > | create (const pointStructure &pStruct, const dictionary &dict)

## Protected Attributes

const pointStructure & | pStruct_

## Detailed Description

Definition at line 36 of file pStructSelector.hpp.

## Constructor & Destructor Documentation

## pStructSelector()

pStructSelector | ( | const pointStructure & | pStruct,
|  | const dictionary & | UNUSEDdict
| ) |  |

Definition at line 27 of file pStructSelector.cpp.

## ~pStructSelector()

virtual ~pStructSelector | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "pStructSelector" |  | ) |

## create_vCtor()

create_vCtor | ( | pStructSelector | ,
|  | dictionary | ,
|  | (const pointStructure &pStruct, const dictionary &dict) | ,
|  | (pStruct, dict) |
| ) |  |

## pStruct()

const pFlow::pointStructure & pStruct | ( |  | ) | const

Definition at line 35 of file pStructSelector.cpp.

References pStructSelector::pStruct_.

Referenced by selectBox::selectAllPointsInBox().

Here is the caller graph for this function:

## selectedPoinsts() [1/2]

virtual const int32Vector& selectedPoinsts | ( |  | ) | const

pure virtual

Implemented in selectRandom, selectRange, and selectBox.

## selectedPoinsts() [2/2]

virtual int32Vector& selectedPoinsts | ( |  | ) |

pure virtual

Implemented in selectRandom, selectRange, and selectBox.

## create()

pFlow::uniquePtr< pFlow::pStructSelector > create | ( | const pointStructure & | pStruct,
|  | const dictionary & | dict
| ) |  |

static

Definition at line 42 of file pStructSelector.cpp.

References fatalError, fatalExit, dictionary::getVal(), pFlow::printKeys(), and pStruct.

Referenced by pFlow::applySelector().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## pStruct_

const pointStructure& pStruct_

protected

Definition at line 40 of file pStructSelector.hpp.

Referenced by pStructSelector::pStruct().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/pointStructure/selectors/pStructSelector/pStructSelector.hpp
- src/phasicFlow/structuredData/pointStructure/selectors/pStructSelector/pStructSelector.cpp